package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthDatum
* date: 2021-9-7 10:49:11
*/
public class YthDatumEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951500L;


    /**
    * 材料id 政务网来的id
    */
    private String tid;

    /**
    * 事项id
    */
    private Long matterid;

    /**
    * 材料名称
    */
    private String materialName;

    /**
    * 材料编号
    */
    private String materialCode;

    /**
    * 材料类型
    */
    private String materialType;

    /**
    * 材料属性
    */
    private Integer materialProperty;

    /**
    * 纸质材料份数
    */
    private Integer paperNum;

    /**
    * 电子材料份数
    */
    private Integer electronicNum;

    /**
    * 是否必交
    */
    private Integer isMust;

    /**
    * 送报要求 填报须知
    */
    private String deliverDemand;

    /**
    * 材料种类
    */
    private String materialCategory;

    /**
    * 应交材料来源：枚举单选
    */
    private Integer materialSource;

    /**
    * 具体办理部门名称，冗余备用
    */
    private String handleDeptName;

    /**
    * 其他材料类型描述
    */
    private String othersRemark;

    /**
    * 材料是否容缺：枚举单选
    */
    private Integer isLack;

    /**
    * 是否证明类材料：枚举单选
    */
    private Integer isProofMaterial;

    /**
    * 是否加盖鲜章
    */
    private Integer isFreshSeal;

    /**
    * 盖章方式
    */
    private String sealWay;

    /**
    * 申请材料得出具单位
    */
    private String sourceOfMaterial;

    /**
    * 受理标准
    */
    private String remark;

    /**
    * 填报须知
    */
    private String remarkSub;

    /**
    * 要求提供材料的依据
    */
    private String clauseContent;

    /**
    * 电子材料格式
    */
    private String electronicgs;

    /**
    * 来源渠道说明
    */
    private String materialSourceSm;

    /**
    * 纸质材料规格
    */
    private String paperGg;

    /**
    * 是否减免
    */
    private String isjianm;

    /**
    * 减免模式
    */
    private String jianmMs;

    /**
    * 备注
    */
    private String summary;

    /**
    * 样表下载地址
    */
    private String ybUrl;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    public YthDatumEntity(){

    }
    /**
    * 获取 材料id 政务网来的id
    * @return tid
    */
    public String getTid() {
        return this.tid;
    }
    /**
    * 设置 材料id 政务网来的id
    * @param tid
    */
    public void setTid(String tid) {
        this.tid = tid;
    }
    /**
    * 获取 事项id
    * @return matterid
    */
    public Long getMatterid() {
        return this.matterid;
    }
    /**
    * 设置 事项id
    * @param matterid
    */
    public void setMatterid(Long matterid) {
        this.matterid = matterid;
    }
    /**
    * 获取 材料名称
    * @return materialName
    */
    public String getMaterialName() {
        return this.materialName;
    }
    /**
    * 设置 材料名称
    * @param materialName
    */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }
    /**
    * 获取 材料编号
    * @return materialCode
    */
    public String getMaterialCode() {
        return this.materialCode;
    }
    /**
    * 设置 材料编号
    * @param materialCode
    */
    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
    /**
    * 获取 材料类型
    * @return materialType
    */
    public String getMaterialType() {
        return this.materialType;
    }
    /**
    * 设置 材料类型
    * @param materialType
    */
    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }
    /**
    * 获取 材料属性
    * @return materialProperty
    */
    public Integer getMaterialProperty() {
        return this.materialProperty;
    }
    /**
    * 设置 材料属性
    * @param materialProperty
    */
    public void setMaterialProperty(Integer materialProperty) {
        this.materialProperty = materialProperty;
    }
    /**
    * 获取 纸质材料份数
    * @return paperNum
    */
    public Integer getPaperNum() {
        return this.paperNum;
    }
    /**
    * 设置 纸质材料份数
    * @param paperNum
    */
    public void setPaperNum(Integer paperNum) {
        this.paperNum = paperNum;
    }
    /**
    * 获取 电子材料份数
    * @return electronicNum
    */
    public Integer getElectronicNum() {
        return this.electronicNum;
    }
    /**
    * 设置 电子材料份数
    * @param electronicNum
    */
    public void setElectronicNum(Integer electronicNum) {
        this.electronicNum = electronicNum;
    }
    /**
    * 获取 是否必交
    * @return isMust
    */
    public Integer getIsMust() {
        return this.isMust;
    }
    /**
    * 设置 是否必交
    * @param isMust
    */
    public void setIsMust(Integer isMust) {
        this.isMust = isMust;
    }
    /**
    * 获取 送报要求 填报须知
    * @return deliverDemand
    */
    public String getDeliverDemand() {
        return this.deliverDemand;
    }
    /**
    * 设置 送报要求 填报须知
    * @param deliverDemand
    */
    public void setDeliverDemand(String deliverDemand) {
        this.deliverDemand = deliverDemand;
    }
    /**
    * 获取 材料种类
    * @return materialCategory
    */
    public String getMaterialCategory() {
        return this.materialCategory;
    }
    /**
    * 设置 材料种类
    * @param materialCategory
    */
    public void setMaterialCategory(String materialCategory) {
        this.materialCategory = materialCategory;
    }
    /**
    * 获取 应交材料来源：枚举单选
    * @return materialSource
    */
    public Integer getMaterialSource() {
        return this.materialSource;
    }
    /**
    * 设置 应交材料来源：枚举单选
    * @param materialSource
    */
    public void setMaterialSource(Integer materialSource) {
        this.materialSource = materialSource;
    }
    /**
    * 获取 具体办理部门名称，冗余备用
    * @return handleDeptName
    */
    public String getHandleDeptName() {
        return this.handleDeptName;
    }
    /**
    * 设置 具体办理部门名称，冗余备用
    * @param handleDeptName
    */
    public void setHandleDeptName(String handleDeptName) {
        this.handleDeptName = handleDeptName;
    }
    /**
    * 获取 其他材料类型描述
    * @return othersRemark
    */
    public String getOthersRemark() {
        return this.othersRemark;
    }
    /**
    * 设置 其他材料类型描述
    * @param othersRemark
    */
    public void setOthersRemark(String othersRemark) {
        this.othersRemark = othersRemark;
    }
    /**
    * 获取 材料是否容缺：枚举单选
    * @return isLack
    */
    public Integer getIsLack() {
        return this.isLack;
    }
    /**
    * 设置 材料是否容缺：枚举单选
    * @param isLack
    */
    public void setIsLack(Integer isLack) {
        this.isLack = isLack;
    }
    /**
    * 获取 是否证明类材料：枚举单选
    * @return isProofMaterial
    */
    public Integer getIsProofMaterial() {
        return this.isProofMaterial;
    }
    /**
    * 设置 是否证明类材料：枚举单选
    * @param isProofMaterial
    */
    public void setIsProofMaterial(Integer isProofMaterial) {
        this.isProofMaterial = isProofMaterial;
    }
    /**
    * 获取 是否加盖鲜章
    * @return isFreshSeal
    */
    public Integer getIsFreshSeal() {
        return this.isFreshSeal;
    }
    /**
    * 设置 是否加盖鲜章
    * @param isFreshSeal
    */
    public void setIsFreshSeal(Integer isFreshSeal) {
        this.isFreshSeal = isFreshSeal;
    }
    /**
    * 获取 盖章方式
    * @return sealWay
    */
    public String getSealWay() {
        return this.sealWay;
    }
    /**
    * 设置 盖章方式
    * @param sealWay
    */
    public void setSealWay(String sealWay) {
        this.sealWay = sealWay;
    }
    /**
    * 获取 申请材料得出具单位
    * @return sourceOfMaterial
    */
    public String getSourceOfMaterial() {
        return this.sourceOfMaterial;
    }
    /**
    * 设置 申请材料得出具单位
    * @param sourceOfMaterial
    */
    public void setSourceOfMaterial(String sourceOfMaterial) {
        this.sourceOfMaterial = sourceOfMaterial;
    }
    /**
    * 获取 受理标准
    * @return remark
    */
    public String getRemark() {
        return this.remark;
    }
    /**
    * 设置 受理标准
    * @param remark
    */
    public void setRemark(String remark) {
        this.remark = remark;
    }
    /**
    * 获取 填报须知
    * @return remarkSub
    */
    public String getRemarkSub() {
        return this.remarkSub;
    }
    /**
    * 设置 填报须知
    * @param remarkSub
    */
    public void setRemarkSub(String remarkSub) {
        this.remarkSub = remarkSub;
    }
    /**
    * 获取 要求提供材料的依据
    * @return clauseContent
    */
    public String getClauseContent() {
        return this.clauseContent;
    }
    /**
    * 设置 要求提供材料的依据
    * @param clauseContent
    */
    public void setClauseContent(String clauseContent) {
        this.clauseContent = clauseContent;
    }
    /**
    * 获取 电子材料格式
    * @return electronicgs
    */
    public String getElectronicgs() {
        return this.electronicgs;
    }
    /**
    * 设置 电子材料格式
    * @param electronicgs
    */
    public void setElectronicgs(String electronicgs) {
        this.electronicgs = electronicgs;
    }
    /**
    * 获取 来源渠道说明
    * @return materialSourceSm
    */
    public String getMaterialSourceSm() {
        return this.materialSourceSm;
    }
    /**
    * 设置 来源渠道说明
    * @param materialSourceSm
    */
    public void setMaterialSourceSm(String materialSourceSm) {
        this.materialSourceSm = materialSourceSm;
    }
    /**
    * 获取 纸质材料规格
    * @return paperGg
    */
    public String getPaperGg() {
        return this.paperGg;
    }
    /**
    * 设置 纸质材料规格
    * @param paperGg
    */
    public void setPaperGg(String paperGg) {
        this.paperGg = paperGg;
    }
    /**
    * 获取 是否减免
    * @return isjianm
    */
    public String getIsjianm() {
        return this.isjianm;
    }
    /**
    * 设置 是否减免
    * @param isjianm
    */
    public void setIsjianm(String isjianm) {
        this.isjianm = isjianm;
    }
    /**
    * 获取 减免模式
    * @return jianmMs
    */
    public String getJianmMs() {
        return this.jianmMs;
    }
    /**
    * 设置 减免模式
    * @param jianmMs
    */
    public void setJianmMs(String jianmMs) {
        this.jianmMs = jianmMs;
    }
    /**
    * 获取 备注
    * @return summary
    */
    public String getSummary() {
        return this.summary;
    }
    /**
    * 设置 备注
    * @param summary
    */
    public void setSummary(String summary) {
        this.summary = summary;
    }
    /**
    * 获取 样表下载地址
    * @return ybUrl
    */
    public String getYbUrl() {
        return this.ybUrl;
    }
    /**
    * 设置 样表下载地址
    * @param ybUrl
    */
    public void setYbUrl(String ybUrl) {
        this.ybUrl = ybUrl;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthDatumEntity) {
            YthDatumEntity tmp = (YthDatumEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",tid:").append(getTid())
                .append(",matterid:").append(getMatterid())
                .append(",materialName:").append(getMaterialName())
                .append(",materialCode:").append(getMaterialCode())
                .append(",materialType:").append(getMaterialType())
                .append(",materialProperty:").append(getMaterialProperty())
                .append(",paperNum:").append(getPaperNum())
                .append(",electronicNum:").append(getElectronicNum())
                .append(",isMust:").append(getIsMust())
                .append(",deliverDemand:").append(getDeliverDemand())
                .append(",materialCategory:").append(getMaterialCategory())
                .append(",materialSource:").append(getMaterialSource())
                .append(",handleDeptName:").append(getHandleDeptName())
                .append(",othersRemark:").append(getOthersRemark())
                .append(",isLack:").append(getIsLack())
                .append(",isProofMaterial:").append(getIsProofMaterial())
                .append(",isFreshSeal:").append(getIsFreshSeal())
                .append(",sealWay:").append(getSealWay())
                .append(",sourceOfMaterial:").append(getSourceOfMaterial())
                .append(",remark:").append(getRemark())
                .append(",remarkSub:").append(getRemarkSub())
                .append(",clauseContent:").append(getClauseContent())
                .append(",electronicgs:").append(getElectronicgs())
                .append(",materialSourceSm:").append(getMaterialSourceSm())
                .append(",paperGg:").append(getPaperGg())
                .append(",isjianm:").append(getIsjianm())
                .append(",jianmMs:").append(getJianmMs())
                .append(",summary:").append(getSummary())
                .append(",ybUrl:").append(getYbUrl())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.tid = null;

         this.matterid = null;

         this.materialName = null;

         this.materialCode = null;

         this.materialType = null;

         this.materialProperty = null;

         this.paperNum = null;

         this.electronicNum = null;

         this.isMust = null;

         this.deliverDemand = null;

         this.materialCategory = null;

         this.materialSource = null;

         this.handleDeptName = null;

         this.othersRemark = null;

         this.isLack = null;

         this.isProofMaterial = null;

         this.isFreshSeal = null;

         this.sealWay = null;

         this.sourceOfMaterial = null;

         this.remark = null;

         this.remarkSub = null;

         this.clauseContent = null;

         this.electronicgs = null;

         this.materialSourceSm = null;

         this.paperGg = null;

         this.isjianm = null;

         this.jianmMs = null;

         this.summary = null;

         this.ybUrl = null;

         this.createTime = null;

         this.createUser = null;

    }
}